AT-Command v2.1.0: AT+CWJEAP not supported

rde_CKe
Posts: 1
Joined: Thu Aug 20, 2020 7:30 am

AT-Command v2.1.0: AT+CWJEAP not supported

Postby rde_CKe » Thu Aug 20, 2020 7:44 am

Hello,

I am using the ESP32 with the provided AT-Command firmware v2.1.0 from this link:
https://docs.espressif.com/projects/esp ... aries.html

For additional security I want to use the command AT+CWJEAP to connect to an WPA2 Enterprise Accesspoint. But calling the command returns an error meaning the command is not supported. See output of terminal programm below:

Code: Select all

AT+GMR
AT version:2.1.0.0(883f7f2 - Jul 24 2020 11:50:07)
SDK version:v4.0.1-193-ge7ac221
compile time(0ad6331):Jul 28 2020 02:47:21
Bin version:2.1.0(WROOM-32)

OK

AT+CWMODE?
+CWMODE:1

OK

AT+CWJEAP?
ERR CODE:0x01090000

ERROR
I also get the same error when using the command with parameters.

Module: ESP-WROOM-32 on the ESP32 DevkitV1
Module is in station mode.

Is there a bug in the provided binaries or do I have to enable WPA2 Enterprise in some other way.

Kind regards

Who is online

Users browsing this forum: No registered users and 3 guests